Subject: Re: bug#1488: 23.0.60; dired-pop-to-buffer: use fit-window-to-buffer

From: Stephen Berman <[email-masked]>
Date: Tue, 09 Dec 2008 21:15:23 +0100

On Sat, 06 Dec 2008 20:25:00 +0100 martin rudalics <[email-masked]> wrote:

> `fit-window-to-buffer' had more bugs than I thought.  I rewrote it
> completely but you would have to use it for a couple of days to know
> whether it DTRT.  Patch attached.

I finally had time to apply your patch and give it a whirl.  Initial
tests together with my patched dired-pop-to-buffer indicate it DTRT,
i.e., both with and without a header line I can shrink the frame and
invoke dired-pop-to-buffer without signalling an error until only one
dired line is displayable: then shrinking is no longer possible and
dired-pop-to-buffer shows one file (also with signalling an error).
I'll keep using it, maybe I'll hit a corner case, but it seems ok.

Steve Berman